%global __libtoolize :

Summary: multi-lingual messages for Mono (C#).
Name: gettext-sharp

%global momorel 5

Version: 0.14.5
Release: %{momorel}m
License: GPL
Group: Development/Tools
URL: http://www.gnu.org/directory/gettext.html

%NoSource 0 ftp://ftp.gnu.org/pub/gnu/gettext/gettext-%{version}.tar.gz e2f6581626a22a0de66dce1d81d00de3

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires(build): autoconf >= 2.58-2m
BuildRequires(build): automake >= 1.5-21m
BuildRequires(build): byacc gcc-java
BuildRequires: mono-devel
Requires(post,preun): info
Requires: cvs
Requires: mono-core >= 1.1.15-11m

%description
GNU Gettexxt for Mono (C#)

%prep
%setup -q -n gettext-%{version}

%build
%configure --with-included-gettext --disable-shared --enable-csharp=mono
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

rm -f  %{buildroot}/%{_libdir}/gettext/hostname
rm -f  %{buildroot}/%{_libdir}/gettext/project-id
rm -f  %{buildroot}/%{_libdir}/gettext/urlget
rm -f  %{buildroot}/%{_libdir}/gettext/user-email
rm -f  %{buildroot}/%{_libdir}/*.a
rm -f  %{buildroot}/%{_libdir}/*.la
rm -rf %{buildroot}/%{_bindir}
rm -rf %{buildroot}/%{_datadir}/aclocal
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/README
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/build-aux
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-c++-gnome
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-c++-kde
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-c++-qt
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-c++
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-c-gnome
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-c
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-clisp
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-gawk
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-guile
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-java-awt
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-java-swing
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-java
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-librep
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-objc-gnome
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-objc-gnustep
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-objc
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-pascal
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-perl
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-python
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-php
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-sh
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-smalltalk
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-tcl
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-tcl-tk
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-ycp
rm -f %{buildroot}/%{_datadir}/doc/gettext/examples/installpaths
rm -f %{buildroot}/%{_datadir}/doc/gettext/*.html
rm -rf %{buildroot}/%{_datadir}/doc/gettext/javadoc1
rm -rf %{buildroot}/%{_datadir}/doc/gettext/javadoc2
rm -f %{buildroot}/%{_datadir}/doc/libasprintf/autosprintf.html

rm -rf %{buildroot}/%{_mandir}
rm -rf %{buildroot}/%{_datadir}/emacs
rm -rf %{buildroot}/%{_datadir}/gettext/intl
rm -rf %{buildroot}/%{_datadir}/locale
rm -rf %{buildroot}/%{_datadir}/gettext/po
rm -rf %{buildroot}/%{_datadir}/gettext/projects
rm -rf %{buildroot}/%{_datadir}/info
rm -f %{buildroot}/%{_datadir}/gettext/ABOUT-NLS
rm -f %{buildroot}/%{_datadir}/gettext/archive.tar.gz
rm -f %{buildroot}/%{_datadir}/gettext/config.rpath
rm -f %{buildroot}/%{_datadir}/gettext/gettext.h
rm -f %{buildroot}/%{_datadir}/gettext/mkinstalldirs
rm -f %{buildroot}/%{_datadir}/gettext/msgunfmt.tcl

# remove unpackaged files from the buildroot
rm -rf %{buildroot}/usr/doc
rm -rf %{buildroot}/%{_datadir}/emacs
rm -f %{buildroot}/%{_datadir}/locale/locale.alias
rm -f %{buildroot}/%{_includedir}/autosprintf.h
rm -f %{buildroot}/%{_includedir}/gettext-po.h
rm -f %{buildroot}/%{_datadir}/gettext/libintl.jar
rm -f %{buildroot}/%{_libdir}/gettext/gnu.gettext.DumpResource
rm -f %{buildroot}/%{_libdir}/gettext/gnu.gettext.GetURL

# unnecessary maybe
rm -f %{buildroot}/%{_includedir}/libintl.h


# now included gettext
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-csharp
rm -rf %{buildroot}/%{_datadir}/doc/gettext/examples/hello-csharp-forms
rm -rf %{buildroot}/%{_datadir}/doc/gettext/csharpdoc

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/GNU.Gettext.dll
%{_libdir}/gettext/msgfmt.net.exe
%{_libdir}/gettext/msgunfmt.net.exe

#%{_datadir}/doc/gettext/csharpdoc
#%{_datadir}/doc/gettext/examples/hello-csharp
#%{_datadir}/doc/gettext/examples/hello-csharp-forms

%changelog
* Sun Aug 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.5-5m)
- rebuild against mono-core

* Sun May  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.5-4m)
- independent original gettext

* Tue May  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.5-3m)
- rebuild mono -> mono-core

* Sat Apr 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.5-2m)
- delete unnecessary files
-- %{_includedir}/libintl.h %{_datadir}/gettext/libintl.jar
-- %{_libdir}/gettext/gnu.gettext.DumpResource
-- %{_libdir}/gettext/gnu.gettext.GetURL

* Sat Apr 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.5-1m)
- Initial Build
